Subject: Re: bug#62426: [PATCH] eshell: Add 'rgrep' builtin.

From: Jim Porter <[email-masked]>
Date: Mon, 10 Apr 2023 21:01:49 -0700

On 4/10/2023 7:12 PM, Antero Mejr via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> Jim Porter <[email-masked]> writes:
> 
>> I just see one issue with the patch: the NEWS entry and docstring are a bit
>> misleading. I know these are just copying from the existing Eshell functions,
>> but this isn't really accurate: "Use Emacs grep facility instead of calling
>> external rgrep." It *always* calls the external rgrep; it's just that sometimes
>> the output goes into a compilation buffer.
> 
> I don't think that's always the case. In the "eshell-grep" function it
> checks if external grep is available, and if not then it uses a slow
> elisp-only implementation. Then it checks to see if the output is being
> redirected, and so on.
> 
> IMO that entire process constitutes the "emacs grep facility" as
> described in the docstring.

Good point. There's probably a way to indicate that more clearly, but 
I'll think it over. It shouldn't hold up merging this. Therefore, I've 
merged your patch as ebac67129e8.

This change is pretty close to the limit for changes that you can make 
without assigning copyright to the FSF (15 lines). I'm not sure if 
you've filled out the paperwork (I don't think I have the permissions to 
check directly), but if not, do you want to fill it out so you can make 
more changes to Emacs in the future? I think Eli (CCed) can get you 
started if so.